# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class AssetType < Node
    include HappyMapper
    tag 'AssetType'

    attribute :asset_type, RixmlType::NormalizedString, tag: 'assetType'
  end
end
