# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class AudienceTypeEntitlement < Node
    include HappyMapper
    tag 'AudienceTypeEntitlement'

    attribute :audience_type, RixmlType::NormalizedString, tag: 'audienceType'
    attribute :external, RixmlType::NormalizedString, tag: 'external'
    attribute :entitlement_context, String, tag: 'entitlementContext'
    content :value, String
  end
end
