# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/upcase_string'

module RixmlDocument
  class Price < Node
    include HappyMapper
    tag 'Price'

    attribute :currency, RixmlType::UpcaseString, tag: 'currency'
    content :value, Float
  end
end
