# frozen_string_literal: true

require 'happymapper'

module RixmlDocument
  module RixmlType
    class UpcaseString
      def self.parse(value)
        value.to_s.upcase
      end
    end
  end
end

HappyMapper::SupportedTypes.register_type(RixmlDocument::RixmlType::UpcaseString) do |value|
  RixmlDocument::RixmlType::UpcaseString.parse(value)
end
