# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './organization'

module RixmlDocument
  class Source < Node
    include HappyMapper
    tag 'Source'

    has_many :organizations, Organization, tag: 'Organization', xpath: './'
  end
end
