# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class OrganizationId < Node
    include HappyMapper
    tag 'OrganizationId'

    attribute :id_type, String, tag: 'idType'
    content :id_value, String
  end
end
