# frozen_string_literal: true

require 'happymapper'

module RixmlDocument
  module RixmlType
    class YesNoBoolean
      def self.parse(value)
        value.to_s.casecmp('yes').zero?
      end
    end
  end
end

HappyMapper::SupportedTypes.register_type(RixmlDocument::RixmlType::YesNoBoolean) do |value|
  RixmlDocument::RixmlType::YesNoBoolean.parse(value)
end
