# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class SecurityType < Node
    include HappyMapper
    tag 'SecurityType'

    attribute :security_type, RixmlType::NormalizedString, tag: 'securityType'
  end
end
